Velocity Reviews - Computer Hardware Reviews

Velocity Reviews > Newsgroups > Programming > Python > Help needed with gettext.install

Reply
Thread Tools

Help needed with gettext.install

 
 
Eric Martel
Guest
Posts: n/a
 
      03-05-2004

Hi,

I'm using Mandrake Cooker and just upgraded Python to 2.3.3.

A Python-based program I use often is Pybliographer; since the Python
update, I get the following error when trying to start Pybliographer:

Traceback (most recent call last):
File "/usr/bin/pybliographer", line 40, in ?
gettext.install (progname, localedir, unicode = True)
AttributeError: 'module' object has no attribute 'install'

I don't know much about Python, but here is a Python session from the
shell (for which I was inspired by something I found on Google):

Python 2.3.3 (#2, Feb 17 2004, 11:45:40)
[GCC 3.3.2 (Mandrake Linux 10.0 3.3.2-6mdk)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import gettext
>>> gettext.__dict__['textdomain']

<function textdomain at 0x403f7cdc>
>>> gettext.__dict__['install']

Traceback (most recent call last):
File "<stdin>", line 1, in ?
KeyError: 'install'

So it really looks like the 'install' method is not available for the
object 'gettext', while the method 'textdomain' is. I talked about it on
a Cooker list, but no one was aware of what could cause this problem
(and I was apparently the only one to experience it), so I'm asking to
you guys: do you know what could be missing/wrong on my system to cause
such an error?

Thank you!

--
Eric Martel
Sainte-Foy (Québec)
Canada
Clef publique OpenPGP: ED3F191C (http://key.ericmartel.net/)

Copyleft 2004 Eric Martel
(http://www.gnu.org/copyleft/)

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFASKg68B7YqO0/GRwRApjyAJsEgRL5v4GvmhgqHJ7Ksrt0zrgdZACdGRiZ
E7yjRnm4LkqQ1RnOeZzW1vw=
=nBnL
-----END PGP SIGNATURE-----

 
Reply With Quote
 
 
 
 
Eric Martel
Guest
Posts: n/a
 
      03-05-2004
Eric Martel wrote:
>
> Hi,
>
> I'm using Mandrake Cooker and just upgraded Python to 2.3.3.
>
> A Python-based program I use often is Pybliographer; since the Python
> update, I get the following error when trying to start Pybliographer:
>
> Traceback (most recent call last):
> File "/usr/bin/pybliographer", line 40, in ?
> gettext.install (progname, localedir, unicode = True)
> AttributeError: 'module' object has no attribute 'install'
>
> I don't know much about Python, but here is a Python session from the
> shell (for which I was inspired by something I found on Google):
>
> Python 2.3.3 (#2, Feb 17 2004, 11:45:40)
> [GCC 3.3.2 (Mandrake Linux 10.0 3.3.2-6mdk)] on linux2
> Type "help", "copyright", "credits" or "license" for more information.
> >>> import gettext
> >>> gettext.__dict__['textdomain']

> <function textdomain at 0x403f7cdc>
> >>> gettext.__dict__['install']

> Traceback (most recent call last):
> File "<stdin>", line 1, in ?
> KeyError: 'install'
>
> So it really looks like the 'install' method is not available for the
> object 'gettext', while the method 'textdomain' is. I talked about it on
> a Cooker list, but no one was aware of what could cause this problem
> (and I was apparently the only one to experience it), so I'm asking to
> you guys: do you know what could be missing/wrong on my system to cause
> such an error?


I found out that the problem was with the new gettext.py file that was
installed with the Cooker update I did: for a reason I don't know, the
file was very different from the one found inside the official Python
2.3.3 sources: I just copied the latter onto the bad one and everything
was fine. I alerted the Cooker community.

--
Eric Martel
Sainte-Foy (Québec)
Canada
Clef publique OpenPGP: ED3F191C (http://key.ericmartel.net/)

Copyleft 2004 Eric Martel
(http://www.gnu.org/copyleft/)

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFASMSv8B7YqO0/GRwRAuKaAJ9CLeAMQvWlA6Wc/30TNHOZ3bTSGgCdG+nl
af5j4h31TdCArPCsfvG9Y4k=
=SYzA
-----END PGP SIGNATURE-----

 
Reply With Quote
 
 
 
Reply

Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Help Help Help Pentax S5i Help needed (Please) The Martian Digital Photography 14 06-20-2008 07:56 AM
Help Help Help Please Pentax S5i info needed The Martian Digital Photography 2 05-20-2008 07:00 AM
Help needed on this 857W config. Repost to be clearer what the problemsare and the help needed sparticle Cisco 3 08-30-2007 07:47 PM
Ideas needed & help needed! Ryan Macy Ruby 2 07-19-2006 08:04 PM
Microsoft small business server 2003 - help needed to understand what is needed to use it Dima Computer Support 5 10-20-2004 08:27 PM



Advertisments